(function ($) {

	"use strict";

	$(document).ready(function () {

		/*$('.slider').bxSlider({

			auto: true,

			mode: 'fade',

			speed: 1000,

			pause: 5000,

			easing: 'ease-in-out',

			autoControls: false,

			controls: false,

			pager: true,

		});*/

		window.addEventListener("scroll", function () {

			var header = document.querySelector("header");

			header.classList.toggle("sticky", window.scrollY > 0);

		})
		if ($(".counter").length > 0) {
			var countDownDate = new Date("Dec 6, 2021 09:00:00").getTime();
			var x = setInterval(function () {
				var now = new Date().getTime();
				var distance = countDownDate - now;
				var days = Math.floor(distance / (1000 * 60 * 60 * 24));
				var hours = Math.floor((distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
				var minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
				var seconds = Math.floor((distance % (1000 * 60)) / 1000);

				document.getElementById("counter-days").innerHTML = days;
				document.getElementById("counter-hours").innerHTML = hours;
				document.getElementById("counter-minutes").innerHTML = minutes;
				document.getElementById("counter-seconds").innerHTML = seconds; 
			}, 1000);
		}

		$('.commitee-carousel').owlCarousel({

			loop: true,

			margin: 30,

			nav: true,

			autoplay: true,

			autoplayHoverPause: true,

			controls: true,

			animateOut: 'fadeOut',

			responsive: {

				0: {

					items: 1

				},

				415: {

					items: 1

				},

				991: {

					items: 3

				},

			}

		});

		$('.image-gallery-area').owlCarousel({

			center: true,

			items: 2,

			loop: true,

			margin: 10, autoplay: true,

			autoplayTimeout: 2100,

			autoplayHoverPause: true,

			responsive: {

				600: {

					items: 3

				}

			}

		});

		$('.image-link').viewbox({

			setTitle: false,

			margin: 5,

			resizeDuration: 300,

			openDuration: 200,

			closeDuration: 200,

			closeButton: true,

			navButtons: true,

			closeOnSideClick: true,

			nextOnContentClick: true

		});

		$('.logo-carousel').owlCarousel({

			loop: true,

			margin: 0,

			nav: false,

			autoplay: true,

			autoplayHoverPause: true,

			controls: false,

			animateOut: 'fadeOut',

			responsive: {

				0: {

					items: 1

				},

				415: {

					items: 1

				},

				991: {

					items: 1

				},

				1200: {

					items: 1

				}



			}

		});

		$('.testimonial-carousel').owlCarousel({

			loop: true,

			margin: 0,

			nav: false,

			autoplay: true,

			autoplayHoverPause: true,

			controls: false,

			responsive: {

				0: {

					items: 1

				},

				415: {

					items: 1

				},

				991: {

					items: 1

				},

				1200: {

					items: 1

				}



			}

		});

		$(".mobile-menu-toggle").on("click", function () {

			$('.menu-area .menu').slideToggle();

			$('body').toggleClass('menu-has-opened');

		});

		$(".trigger-message-box-cross").on("click", function () {

			$('.trigger-message-box').fadeOut(300);

		});

		/*$('.gallery-image').viewbox({

			setTitle: true,

			margin: 5,

			resizeDuration: 300,

			openDuration: 200,

			closeDuration: 200,

			closeButton: true,

			navButtons: true,

			closeOnSideClick: true,

			nextOnContentClick: true

		});*/

		$('.videoPopup').flashy();



		$(".career-btn").on("click", function (e) {

			e.preventDefault();

			var data_title = $(this).attr('data-title');

			$('.career-form .wpcf7-form-control-wrap.your-designation input').val(data_title);



			$("html, body").animate({

				scrollTop: $("#career-form").offset().top

			}, 1000);

		});





		// function countDate() {

		// 	let b = moment(new Date());

		// 	let a = moment(new Date(2021, 12, 6));

		// 	let diffDuration = moment.duration(a.diff(b));



		// 	// const years = diffDuration.years();

		// 	const months = diffDuration.months();

		// 	const days = diffDuration.days();

		// 	const hours = diffDuration.hours();

		// 	const minutes = diffDuration.minutes();

		// 	const seconds = diffDuration.seconds();



		// 	console.log(days, hours, minutes, seconds);

		// 	$("days").text(`${days} Days`);

		// 	$("hours").text(`${hours} Hours`);

		// 	$("minutes").text(`${minutes} Minutes`);

		// 	$("seconds").text(`${seconds} Seconds`);

		// }







		function countDate(params) {

			var timeElement, eventTime, currentTime, duration, interval, intervalId;



			interval = 1000; // 1 second



			// get time element

			timeElement = document.querySelector("time");

			// calculate difference between two times

			eventTime = moment.tz("2021-12-06T09:00:00", "Asia/Colombo");

			// based on time set in user's computer time / OS

			currentTime = moment.tz();

			// get duration between two times

			duration = moment.duration(eventTime.diff(currentTime));



			// loop to countdown every 1 second

			setInterval(function () {

				// get updated duration

				duration = moment.duration(duration - interval, 'milliseconds');

				// const days = moment.duration(duration - interval, 'days');



				// if duration is >= 0

				if (duration.asSeconds() <= 0) {

					clearInterval(intervalId);

					// hide the countdown element

					timeElement.classList.add("hidden");

				} else {

					var val = parseInt(duration.asDays()) + " days " + duration.hours() + " hours " + duration.minutes() + " minutes " + duration.seconds() + " seconds";

			

					$("#days").text(parseInt(duration.asDays())+' Days');

					$("#hours").text(parseInt(duration.hours())+' Hours');

					$("#minutes").text(parseInt(duration.minutes())+' Minutes');

					$("#seconds").text(parseInt(duration.seconds())+' Seconds');

				}

			}, interval);

		}

		countDate();

	});

})(jQuery);

